const Inflectors = require("en-inflectors").Inflectors;

// VERB
// try regular verb (e.g. "want"),
// irregular verbs (e.g. "went"),
// and madup verbs (e.g. "mew")
// also, your input does not have to be
// in infinitive form ... try a past participle verb
// for example "mewed".
const verb = "want";


// NOUN
// it will detect whether the noun
// is singular or plural
// then it will give you the singular, if it was plural
// and the plural if it was singular
const noun = "module";


// ADJECTIVES
// it will convert your adjective
// to comparative form
// and superaltive form
const adjv = "fast";

// press shift + enter to run

// you don't need to edit past this line
// -------------------------------
console.log(`Verb conjugation '${verb}': ${new Inflectors(verb).toPresent()} ${new Inflectors(verb).toPast()} ${new Inflectors(verb).toPastParticiple()} ${new Inflectors(verb).toPresentS()} ${new Inflectors(verb).toGerund()}`);
console.log(`Noun inflection '${noun}': ${new Inflectors(noun).isSingular() ? `is a singular noun, plural form is: ${new Inflectors(noun).toPlural()}`:`is a plural noun, singular form is: ${new Inflectors(noun).toSingular()}`}`);
console.log(`Adjective inflection '${adjv}': ${new Inflectors(adjv).comparative()} ${new Inflectors(adjv).superlative()}`);


;
